> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evolink.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Gemini Omni Flash 動画編集

> - Gemini Omni Flash (gemini-omni-flash-video-edit) モデルは動画編集モードに対応し、1本の入力動画とテキストプロンプトをもとに編集後の動画を生成します
- **動画入力：** `video_urls` で渡します。動画は1本のみ対応で、入力動画の長さは10秒以内です
- **編集指示：** `prompt` で期待する編集効果を記述します（例：光の調整、スタイルの変更など）
- **ネイティブ音声：** モデルが映像に同期した音声を自動生成し、追加パラメータは不要です
- **パラメータの制約：** 動画編集モードでは `duration` と `aspect_ratio` に対応せず、出力は入力動画に従います
- **ネガティブ指定：** `prompt` に直接記述します（例：`No dialogue`）。本モデルは独立したネガティブプロンプト用のパラメータを提供しません
- 非同期処理モードです。返却されたタスクIDを使って [照会](/ja/api-manual/task-management/get-task-detail) してください
- 生成された動画リンクの有効期限は24時間です。お早めに保存してください



## OpenAPI

````yaml ja/api-manual/video-series/gemini-omni-flash/gemini-omni-flash-video-edit.json POST /v1/videos/generations
openapi: 3.1.0
info:
  title: gemini-omni-flash-video-edit インターフェース
  description: Gemini Omni Flash モデルによる動画編集。1本の入力動画とテキストプロンプトをもとに編集後の動画を生成します。
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.evolink.ai
    description: 本番環境
security:
  - bearerAuth: []
paths:
  /v1/videos/generations:
    post:
      tags:
        - 動画生成
      summary: gemini-omni-flash-video-edit インターフェース
      description: >-
        - Gemini Omni Flash (gemini-omni-flash-video-edit)
        モデルは動画編集モードに対応し、1本の入力動画とテキストプロンプトをもとに編集後の動画を生成します

        - **動画入力：** `video_urls` で渡します。動画は1本のみ対応で、入力動画の長さは10秒以内です

        - **編集指示：** `prompt` で期待する編集効果を記述します（例：光の調整、スタイルの変更など）

        - **ネイティブ音声：** モデルが映像に同期した音声を自動生成し、追加パラメータは不要です

        - **パラメータの制約：** 動画編集モードでは `duration` と `aspect_ratio` に対応せず、出力は入力動画に従います

        - **ネガティブ指定：** `prompt` に直接記述します（例：`No
        dialogue`）。本モデルは独立したネガティブプロンプト用のパラメータを提供しません

        - 非同期処理モードです。返却されたタスクIDを使って
        [照会](/ja/api-manual/task-management/get-task-detail) してください

        - 生成された動画リンクの有効期限は24時間です。お早めに保存してください
      operationId: createGeminiOmniFlashVideoEditGeneration
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GeminiOmniFlashVideoEditRequest'
            examples:
              video_edit:
                summary: 動画編集
                value:
                  model: gemini-omni-flash-video-edit
                  prompt: 画面の光をより暖かくし、それ以外はそのまま保つ
                  video_urls:
                    - https://example.com/source.mp4
      responses:
        '200':
          description: 動画タスクの作成に成功しました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoGenerationResponse'
        '400':
          description: リクエストパラメータエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: invalid_request
                  message: Invalid request parameters
                  type: invalid_request_error
        '401':
          description: 未認証、Tokenが無効または期限切れ
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: unauthorized
                  message: Invalid or expired token
                  type: authentication_error
        '402':
          description: 残高不足、チャージが必要
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: insufficient_quota
                  message: Insufficient quota. Please top up your account.
                  type: insufficient_quota
        '403':
          description: アクセス権限がありません
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: model_access_denied
                  message: >-
                    Token does not have access to model:
                    gemini-omni-flash-video-edit
                  type: invalid_request_error
        '429':
          description: リクエスト頻度が上限を超えました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: rate_limit_exceeded
                  message: Too many requests, please try again later
                  type: rate_limit_error
        '500':
          description: サーバー内部エラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: internal_error
                  message: Internal server error
                  type: api_error
components:
  schemas:
    GeminiOmniFlashVideoEditRequest:
      required:
        - model
        - prompt
      type: object
      properties:
        model:
          type: string
          description: モデル名。`gemini-omni-flash-video-edit` で固定です
          enum:
            - gemini-omni-flash-video-edit
          example: gemini-omni-flash-video-edit
        prompt:
          type: string
          description: >-
            動画編集のテキストプロンプト。期待する編集効果を記述します。日本語・英語に対応します


            **使用のヒント：**

            - 変更したい要素と保持したい部分を記述します（例：「光をより暖かくし、それ以外はそのまま保つ」）

            - ネガティブな要件はプロンプトに直接記述します（例：`No
            dialogue`、`文字を出さない`）。本モデルは独立したネガティブプロンプト用のパラメータを提供しません
          example: 画面の光をより暖かくし、それ以外はそのまま保つ
        video_urls:
          type: array
          items:
            type: string
            format: uri
          minItems: 1
          maxItems: 1
          description: |-
            編集対象の動画の配列。1本のみ対応です

            **入力要件：**
            - 現在は HTTP/HTTPS 動画 URL のみ対応
            - フォーマット：mp4
            - 長さ：`10` 秒以内
          example:
            - https://example.com/source.mp4
        callback_url:
          type: string
          description: >-
            タスク完了後のHTTPSコールバックアドレス


            **コールバックのタイミング：**

            - タスクの完了（completed）、失敗（failed）、キャンセル（cancelled）時にトリガーされます

            - 課金確定後に送信されます


            **セキュリティ制限：**

            - HTTPSプロトコルのみ対応

            - 内部ネットワークIPアドレス（127.0.0.1、10.x.x.x、172.16-31.x.x、192.168.x.x
            など）へのコールバックは禁止

            - URLの長さは `2048` 文字以内


            **コールバックの仕組み：**

            - タイムアウト時間：`10` 秒

            - 失敗後は最大 `3` 回まで再試行します（失敗後それぞれ `1` 秒／`2` 秒／`4` 秒後に再試行します）

            - コールバックのレスポンスボディの形式はタスク照会インターフェースの返却形式と同一です

            - コールバックアドレスが2xxステータスコードを返した場合は成功とみなし、それ以外のステータスコードは再試行をトリガーします
          format: uri
          example: https://your-domain.com/webhooks/video-task-completed
    VideoGenerationResponse:
      type: object
      properties:
        created:
          type: integer
          description: タスク作成のタイムスタンプ
          example: 1757169743
        id:
          type: string
          description: タスクID
          example: task-unified-1757169743-7cvnl5zw
        model:
          type: string
          description: 実際に使用されたモデル名
          example: gemini-omni-flash-video-edit
        object:
          type: string
          enum:
            - video.generation.task
          description: タスクの具体的な種別
        progress:
          type: integer
          description: タスクの進捗率 (0-100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: タスクの状態
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          $ref: '#/components/schemas/VideoTaskInfo'
          description: 動画タスクの詳細情報
        type:
          type: string
          enum:
            - text
            - image
            - audio
            - video
          description: タスクの出力タイプ
          example: video
        usage:
          $ref: '#/components/schemas/Usage'
          description: 使用量と課金情報
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: エラーコード識別子
            message:
              type: string
              description: エラーの説明情報
            type:
              type: string
              description: エラーの種類
    VideoTaskInfo:
      type: object
      properties:
        can_cancel:
          type: boolean
          description: タスクがキャンセル可能かどうか
          example: false
        estimated_time:
          type: integer
          description: 完了までの推定時間（秒）
          minimum: 0
          example: 60
    Usage:
      type: object
      description: 使用量と課金情報
      properties:
        billing_rule:
          type: string
          description: 課金ルール
          enum:
            - per_call
            - per_token
            - per_second
          example: per_token
        credits_reserved:
          type: number
          description: 消費が見込まれるクレジット数
          minimum: 0
          example: 102.34
        user_group:
          type: string
          description: ユーザーグループの区分
          enum:
            - default
            - vip
          example: default
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        ##すべてのインターフェースはBearer Tokenによる認証が必要です##


        **API Key の取得：**


        [API Key 管理ページ](https://evolink.ai/dashboard/keys) にアクセスして API Key
        を取得してください


        **利用時はリクエストヘッダーに以下を追加します：**

        ```

        Authorization: Bearer YOUR_API_KEY

        ```

````